<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Users\Controllers\RolesController;
use App\Http\ApiV1\Modules\Users\Controllers\UserRolesController;
use App\Http\ApiV1\Modules\Users\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

Route::post('users', [UsersController::class, 'create']);
Route::get('users/{id}', [UsersController::class, 'get']);
Route::delete('users/{id}', [UsersController::class, 'delete']);
Route::patch('users/{id}', [UsersController::class, 'patch']);
Route::patch('users/{id}:extended', [UsersController::class, 'extendedPatch']);
Route::post('users:search', [UsersController::class, 'search']);
Route::post('users:search-one', [UsersController::class, 'searchOne']);
Route::post('users:current', [UsersController::class, 'current'])->middleware(['auth:api']);
Route::post('users/{id}:add-roles', [UserRolesController::class, 'add']);
Route::post('users/{id}:delete-role', [UserRolesController::class, 'delete']);
Route::get('roles/{id}', [RolesController::class, 'get']);
Route::post('roles:search', [RolesController::class, 'search']);
